Foreman - Feature #1524

Add more attributes to JSON index
03/11/2012 01:27 AM - Corey Osman

Status: Closed

Priority: Normal

Assignee: Corey Osman

Category: API

Target version: 1.0

Difficulty: trivial Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Currently foreman only returns a arrray of hostnames as the default index action for json output.

| would like to add more host attributes so | don't have to make more calls to foreman in future requests.

This will break versions of remoteadmin prior to upcoming 0.6 version and may cause issues with foreman CLI but | think its a better

solution in the long run.
| am adding the following attributes:
id, hostgroup_.id, puppet_status.

It will be easy to add more attributes later.

Related issues:
Is duplicate of Foreman - Bug #875: Non consistent behaviour of GET APls

Duplicate 05/03/2011

Associated revisions

Revision b16f321a - 03/14/2012 10:46 AM - Corey Osman
fixes #1524 Add more attributes to JSON host index

Signed-off-by: Corey Osman <corey@logicminds.biz>

Revision 0db5df0b - 03/14/2012 11:04 AM - Ohad Levy

refs #1524 - fixed incorrect syntax

History

#1 - 03/14/2012 11:05 AM - Corey Osman
- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset b16f321a47640336c8dead7dfd9dc3f0fdeb30da.
